Subject: Re: bug#27346: module tests fail to compile with gcc 4.8.5

From: Philipp Stephani <[email-masked]>
Date: Tue, 13 Jun 2017 18:50:22 +0000

Glenn Morris <[email-masked]> schrieb am Di., 13. Juni 2017 um 19:04 Uhr:

> Philipp Stephani wrote:
>
> > Does it also work if you run 'make src/emacs-module-tests' from 'test'?
>
> Yes, it does.
>
> Although I did change test/data/emacs-module/mod-test.o to not directly
> depend on src/emacs-module.c (only on .h), because it doesn't. Depending
> on the .c versions seems to me a bit like adding a depending on
> "src/emacs", which is strictly true, but would probably be annoying in
> practice. But put back the [ch] thing if that's the issue you mean.
>

No, that dependency would indeed be bogus. I don't remember why I put it
into test/Makefile.in in the first place.

>
> BTW, the relevant rules in test/Makefile are duplicating some of the
> logic of those in data/emacs-module/Makefile.in. Perhaps the latter
> could be removed.
>

Yes, I've done that now and at least for me the dependency tracking now
works fine.